## GtkPlotDT GtkPlotDT |

## Synopsis

    #include <gtkextra.h>

                        GtkPlotDT;
                        GtkPlotDTnode;
                        GtkPlotDTsegment;
                        GtkPlotDTtriangle;
    gint                (*GtkPlotDTprogressbarFunc)         (double progress);
    GtkObject*          gtk_plot_dt_new                     (gint num);
    void                gtk_plot_dt_set_quadrilateral       (GtkPlotDT *dt,
                                                             gboolean set);
    void                gtk_plot_dt_set_subsampling         (GtkPlotDT *dt,
                                                             gboolean set);
    gboolean            gtk_plot_dt_add_node                (GtkPlotDT *data,
                                                             GtkPlotDTnode node);
    GtkPlotDTnode *     gtk_plot_dt_get_node                (GtkPlotDT *data,
                                                             gint idx);
    gboolean            gtk_plot_dt_triangulate             (GtkPlotDT *data);
    void                gtk_plot_dt_clear                   (GtkPlotDT *data);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkPlotDT

## Description

FIXME:: Need long description.

## Details

### GtkPlotDT

    typedef struct _GtkPlotDT GtkPlotDT;

### GtkPlotDTnode

    typedef struct {
    } GtkPlotDTnode;

The GtkPlotDTnode struct contains only private data. It should only be accessed through the functions described below.

### GtkPlotDTsegment

    typedef struct _GtkPlotDTsegment GtkPlotDTsegment;

### GtkPlotDTtriangle

    typedef struct {
    } GtkPlotDTtriangle;

The GtkPlotDTtriangle struct contains only private data. It should only be accessed through the functions described below.

### GtkPlotDTprogressbarFunc ()

    gint                (*GtkPlotDTprogressbarFunc)         (double progress);

`progress` : |
Returns : |

### gtk_plot_dt_new ()

    GtkObject*          gtk_plot_dt_new                     (gint num);

`num` : |
Returns : |

### gtk_plot_dt_set_quadrilateral ()

    void                gtk_plot_dt_set_quadrilateral       (GtkPlotDT *dt,
                                                             gboolean set);

`dt` : |
`set` : |

### gtk_plot_dt_set_subsampling ()

    void                gtk_plot_dt_set_subsampling         (GtkPlotDT *dt,
                                                             gboolean set);

`dt` : |
`set` : |

### gtk_plot_dt_add_node ()

    gboolean            gtk_plot_dt_add_node                (GtkPlotDT *data,
                                                             GtkPlotDTnode node);

`data` : |
`node` : |
Returns : |

### gtk_plot_dt_get_node ()

    GtkPlotDTnode *     gtk_plot_dt_get_node                (GtkPlotDT *data,
                                                             gint idx);

`data` : |
`idx` : |
Returns : | (transfer none) the GtkPlotDTnode

### gtk_plot_dt_triangulate ()

    gboolean            gtk_plot_dt_triangulate             (GtkPlotDT *data);

`data` : |
Returns : |

### gtk_plot_dt_clear ()

    void                gtk_plot_dt_clear                   (GtkPlotDT *data);

`data` : |